# File tres/Scripts/tblaze.cl
# By Doug Mink, SAO Telescope Data Center
# April 29, 2009

# TBlAZE -- Remove echelle blaze function from a list of TRES spectra

procedure tblaze (spectra)

string	spectra = ""	{prompt="Input multispec image(s) to correct"}

string	blzroot="flat"	{prompt="Root name for blaze function spectrum"}
string	blzdir="tresdata$" {prompt="Directory for blaze function spectrum"}
bool saveold=yes	{prompt="Save original file to Nonorm/ (y or n)"}
bool deltemp=yes	{prompt="Delete temporary files (y or n)"}
bool verbose=yes	{prompt="Log progress (y or n)"}

struct *blazefiles

begin
	file imin, templist, imout
	string ims, imroot, fib1, fib2

# If input image is a list prepend @ if not already there
	ims = spectra
        smatch (ims, ".list")
        if (smatch.found) {
            if (substr (ims,1,1) != '@')
		ims = "@" // ims
            }

	tblaze1.blzroot = blzroot
	tblaze1.blzdir = blzdir
	tblaze1.saveold = saveold
	tblaze1.verbose = verbose

#  Make temporary list of input files
        templist = mktemp ("tempblaze") // ".list"
        files (ims, >templist)

        blazefiles = templist
        while (fscan (blazefiles,imin) != EOF) {
	    smatch (imin, ".ec.")
	    if (smatch.found) {
		if (verbose)
		    print ("TBLAZE: Processing ", imin)
		tblaze1 (imin)
		}
	    else {
		tfib1 (imin)
		fib1 = tfib1.fib1
		fib2 = tfib1.fib2
		fileroot (imin)
		imroot = fileroot.rootname
		if (fib1 != "NONE") {
		    imout = imroot // "_f1.ec.fits"
		    if (access (imout)) {
			if (verbose)
			    print ("TBLAZE: Processing fiber 1 ", imout)
			tblaze1 (imout)
			}
		    else if (verbose)
			print ("TBLAZE: Cannot read fiber 1 file ", imout)
		    }
		else if (verbose)
		    print ("TBLAZE: Fiber 1 file ", imout, " not present")
		if (fib2 !=  "NONE") {
		    imout = imroot // "_f2.ec.fits"
		    if (access (imout)) {
			if (verbose)
			    print ("TBLAZE: Processing fiber 2 ", imout)
			tblaze1 (imout)
			}
		    else if (verbose)
			print ("TBLAZE: Cannot read fiber 2 file ", imout)
		    }
		else if (verbose)
		    print ("TBLAZE: Fiber 2 file ", imout, " not present")
		}
	    }

# Delete temporary file list if requested
	if (deltemp) {
	    delete (templist)
	    }
	blazefiles = ""

end

# Apr 29 2009	New task based on TDISP
