# File tres/Scripts/tmakeblaze.cl
# By Doug Mink
# April 24, 2009

# TMAKEBLAZE -- Make echelle blaze correction file from spectrum

procedure tmakeblaze (spectrum)

file spectrum=""        {prompt="Spectrum to normalize for blaze correction"}

file	outroot="flat"	{prompt="Root for output file name (apfibn added"}
bool    verbose=yes     {prompt="Log progress (yes or no)"}
bool    debug=no        {prompt="Print output (yes or no)"}

begin

    file spec, outfile
    bool db, vb
    int norder

    vb = verbose
    db = debug

    spec = spectrum
    if (!access (spec)) {
	print ("TMAKEBLAZE: Cannot read spectrum ", spec)
	return
	}

# Set up parameters to normalize extracted spectra
    if (!defpac ("rvsao"))
	rvsao (motd=no)
    sumspec.specband = 0
    sumspec.specdir = ""
    sumspec.compname = "TRES blaze function removal"
    sumspec.compdir = ""
    sumspec.save_names = yes
    sumspec.copy_header = yes
    sumspec.normin = 1.0
    sumspec.fixbad = "no"
    sumspec.badlines = "badlines.dat"
    sumspec.linedir = "rvsao$lib/"
    sumspec.cont_remove = "no"
    sumspec.cont_split = 1
    sumspec.reject = no
    sumspec.abs_reject = 100.
    sumspec.em_reject = 2.
    sumspec.contout = "no"
    sumspec.cont_plot = no
    sumspec.cont_add = 0.
    sumspec.spec_smooth = 0
    sumspec.st_lambda = INDEF
    sumspec.end_lambda = INDEF
    sumspec.pix_lambda = INDEF
    sumspec.complog = no
    sumspec.interp_mode = "spline3"
    sumspec.normout = 0.0
    sumspec.spec_plot = no
    sumspec.spec_int = no
    sumspec.comp_plot = no
    sumspec.comp_int = no
    sumspec.ymin = INDEF
    sumspec.ymax = INDEF
    sumspec.velcomp = INDEF
    sumspec.zcomp = INDEF
    sumspec.svel_corr = "none"
    sumspec.nsmooth = 0
    sumspec.device = "stdgraph"
    sumspec.plotter = "stdplot"
    sumspec.logfiles = "STDOUT,sumspec.log"
    sumspec.nsum = 1
    sumspec.debug = db

# Normalize extracted spectrum from fiber
    tfib1 (spec)
    norder = tfib1.norder
    sumspec.specnum = "1-" // tfib1.norder
    sumspec.nspec = tfib1.norder
    sumspec.npts = tfib1.ncol
    outfile = outroot // tfib1.apfib // "n.ec.fits"
    if (access (outfile)) {
	if (vb)
	    print ("TMAKEBLAZE: Deleting existing ",outfile)
	delete (outfile)
	}
    sumspec (spec, outfile)
    if (vb)
	print ("TMAKEBLAZE: Spectrum ",spec," normalized to ", outfile)

end

# Apr 24 2009	New task
