# File tres/Scripts/tquick.cl
# By Doug Mink
# July 7, 2009

# TQUICK -- Set instrument and date directories for TRES listing and quick look

procedure tquick

string  datedir=""      {prompt="Date of directory (null string=today)"}
bool    verbose=yes     {prompt="Print table of image parameters (yes or no)"}

begin
    bool vb
    file qdir, ddir, quickdir

    vb = verbose

    tcheck

    if (tcheck.rawdir) {
	ddir = tcheck.datedir
	}
    else if (datedir == "now") {
	gettime (0.0, timediff=99)
	ddir = gettime.datadir
	}
    else if (datedir == "") {
	ddir = tcheck.datedir
	}
    else {
	ddir = datedir
	}

    trsdate (ddir, v-)
    if (vb)
	pwd

end

# Oct 14 2008	New program based on trsdate
# Oct 16 2008	If in a raw directory, go to appropriate quick-look directory
# Dec  9 2008	Simplifiy by running TRSDATE to get to processing directory
# Dec 15 2008	Add timediff argument to GETTIME to get current time

# Jul  7 2009	Go to current processing directory from trsdate if ddir=""
