# tres/Scripts/trscode.cl
# May 20, 2008
# By Doug Mink

# TRSCODE - extract fiber, binning, and apertures size from single string

procedure trscode (apfib)

string	apfib=""	{prompt="Select fiber (s m l) binning (b) ap (1 2 3)"}
string	fibcode=""	{prompt="Fiber size returned: null=all s=1.4 m=2.3 l=3.2"}
string	fibsize=""	{prompt="Fiber size returned: 1.4 2.3 3.2"}
int	binning=0	{prompt="Binning returned: 0=all 1 2"}
string	apertures="123"	{prompt="Apertures returned: null=all 1 2 3 12 123"}
bool    verbose=yes	{prompt="Print process progress (yes or no)"}

begin

    string aps, afx, aff
    bool vb, ow, db, dt

    afx = apfib
    if (afx == "")
	return

# Specify fiber size
    smatch (afx, "s")
    if (smatch.found) {
	fibsize = "1.4"
	fibcode = "s"
	}
    else {
	smatch (afx, "m")
	if (smatch.found) {
	    fibsize = "2.3"
	    fibcode = "m"
	    }
	else {
	    smatch (afx, "l")
	    if (smatch.found) {
		fibsize = "3.2"
		fibcode = "l"
		}
	    else
		fibsize = ""
	    }
	}

# Specify binning
    smatch (afx, "b")
    if (smatch.found)
	binning = 2
    else
	binning = 1

# Specify fiber number
    smatch (afx, "1")
    aff = ""
    if (smatch.found)
	aff = aff // "1"
    smatch (afx, "2")
    if (smatch.found)
	aff = aff // "2"
    smatch (afx, "3")
    if (smatch.found)
	aff = aff // "3"
    apertures = aff

    if (verbose)
	print ("TRSCODE ",afx," -> fibsize=",fibsize," binning=",binning," ap=",aff
    return
end

# May 19 2008	New task
# May 20 2008	Return fiber size in arcseconds, too
