# File hectospec/Src/t_filename.x
# May 22, 2008
# By Doug Mink, Center for Astrophysics

# T_FILENAME -- Return the filename and directory path from a pathname

procedure t_filename ()

pointer	name, path
pointer	sp
char	slash, dollar
bool	verbose, clgetb()
int	idollar, islash, strldx(), stridx()

begin
	slash = '/'
	dollar = '$'
	call smark (sp)
	call salloc (path, SZ_LINE,  TY_CHAR)

	verbose = clgetb ("verbose")

	call clgstr ("pathname", Memc[path], SZ_LINE)
	islash = strldx (slash, Memc[path])
	idollar = stridx (dollar, Memc[path])
	if (islash > 0) {
	    name = path + islash
	    call clpstr ("filename", Memc[name], SZ_LINE)
	    if (verbose) {
		call printf ("%s\n")
		    call pargstr (Memc[name])
		}
	    Memc[name] = EOS
	    call clpstr ("dirpath", Memc[path])
	    }
	else if (idollar > 0) {
	    name = path + idollar
	    call clpstr ("filename", Memc[name], SZ_LINE)
	    if (verbose) {
		call printf ("%s\n")
		    call pargstr (Memc[name])
		}
	    Memc[name] = EOS
	    call clpstr ("dirpath", Memc[path])
	    }
	else {
	    call clpstr ("filename", Memc[path], SZ_LINE)
	    call clpstr ("dirpath", EOS)
	    if (verbose) {
		call printf ("%s\n")
		    call pargstr (Memc[path])
		}
	    }

	call sfree (sp)
end

# Mar 16 2007	New task based on svdfit.fileroot
# Jan 30 2008	Add dirpath output parameter
# May 22 2008	Add $ as a delimiter as well as /
